蓝牙5.0适配器,ubuntu是否免驱支持?

声卡/显卡/打印机/USB设备等硬件问题(网卡问题请发上面的网卡板块)
回复
头像
cocd
帖子: 112
注册时间: 2012-11-18 10:47
系统: ubuntu 12.04
送出感谢: 16 次
接收感谢: 2 次

蓝牙5.0适配器,ubuntu是否免驱支持?

#1

帖子 cocd » 2019-12-01 21:43

台式机上插蓝牙适配器,蓝牙3.0的ubuntu免驱支持。
蓝牙5.0的适配器,我看到销售说明中都说win10以下需要安装专用驱动,那么请问,蓝牙5.0在ubuntu下免驱支持吗?
完美的定义不是增加很多东西,而是每一件东西都不可或缺。
头像
astolia
论坛版主
帖子: 4161
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 694 次

Re: 蓝牙5.0适配器,ubuntu是否免驱支持?

#2

帖子 astolia » 2019-12-01 22:30

不一定。涉及到内核驱动和用户态的蓝牙协议栈两方面。反正Intel AX200上集成的蓝牙5.0在19.10上一点问题都没有

代码: 全选

$ hciconfig -a
hci0:	Type: Primary  Bus: USB
	BD Address: XX:XX:XX:XX:XX:XX  ACL MTU: 1021:4  SCO MTU: 96:6
	UP RUNNING 
	RX bytes:19672 acl:0 sco:0 events:3062 errors:0
	TX bytes:739849 acl:0 sco:0 commands:3055 errors:0
	Features: 0xbf 0xfe 0x0f 0xfe 0xdb 0xff 0x7b 0x87
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH SNIFF 
	Link mode: SLAVE ACCEPT 
	Name: 'xxx'
	Class: 0x0c0104
	Service Classes: Rendering, Capturing
	Device Class: Computer, Desktop workstation
	HCI Version: 5.0 (0x9)  Revision: 0x100
	LMP Version: 5.0 (0x9)  Subversion: 0x100
	Manufacturer: Intel Corp. (2)
$ hcitool info XX:XX:XX:XX:XX:XX
Requesting information ...
	BD Address:  XX:XX:XX:XX:XX:XX
	OUI Company: XXXXXX
	Device Name: XXXXXX
	LMP Version: 5.0 (0x9) LMP Subversion: 0x2be
	Manufacturer: Qualcomm (29)
	Features page 0: 0xff 0xfe 0x8f 0xfe 0xd8 0x3f 0x5b 0x87
		<3-slot packets> <5-slot packets> <encryption> <slot offset> 
		<timing accuracy> <role switch> <hold mode> <sniff mode> 
		<RSSI> <channel quality> <SCO link> <HV2 packets> 
		<HV3 packets> <u-law log> <A-law log> <CVSD> <paging scheme> 
		<power control> <transparent SCO> <broadcast encrypt> 
		<EDR ACL 2 Mbps> <EDR ACL 3 Mbps> <enhanced iscan> 
		<interlaced iscan> <interlaced pscan> <inquiry with RSSI> 
		<extended SCO> <AFH cap. slave> <AFH class. slave> 
		<LE support> <3-slot EDR ACL> <5-slot EDR ACL> 
		<sniff subrating> <pause encryption> <AFH cap. master> 
		<AFH class. master> <EDR eSCO 2 Mbps> <extended inquiry> 
		<LE and BR/EDR> <simple pairing> <encapsulated PDU> 
		<non-flush flag> <LSTO> <inquiry TX power> <EPC> 
		<extended features> 
	Features page 1: 0x0f 0x00 0x00 0x00 0x00 0x00 0x00 0x00
	Features page 2: 0x45 0x03 0x00 0x00 0x00 0x00 0x00 0x00
还有销售说明这东西仅供参考,即使是win10,1803之前的版本也不支持蓝牙5.0的
这些用户感谢了作者 astolia 于这个帖子:
cocd (2019-12-02 9:41)
评价: 3.7%
头像
cocd
帖子: 112
注册时间: 2012-11-18 10:47
系统: ubuntu 12.04
送出感谢: 16 次
接收感谢: 2 次

Re: 蓝牙5.0适配器,ubuntu是否免驱支持?

#3

帖子 cocd » 2019-12-02 9:42

astolia 写了:
2019-12-01 22:30
不一定。涉及到内核驱动和用户态的蓝牙协议栈两方面。反正Intel AX200上集成的蓝牙5.0在19.10上一点问题都没有
还有销售说明这东西仅供参考,即使是win10,1803之前的版本也不支持蓝牙5.0的
十分感谢。
完美的定义不是增加很多东西,而是每一件东西都不可或缺。
回复

回到 “常用硬件支持”